## lxqt-powermanagement 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-powermanagement)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(lxqt REQUIRED QUIET)
find_package(KF5Solid REQUIRED)

include(GNUInstallDirs)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== src/CMakeLists.txt ===
project(lxqt-powermanagement)

set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg Qt5::X11Extras)

set(SOURCES
    watcher.cpp
    batteryhelper.cpp
    batteryinfoframe.cpp
    batteryinfodialog.cpp
    batterywatcher.cpp
    idlenesswatcher.cpp
    lid.cpp
    lidwatcher.cpp
    main.cpp
    powermanagementd.cpp
    trayicon.cpp
    iconproducer.cpp
    x11helper.cpp
    ../config/powermanagementsettings.cpp
)

set(UI_FILES
    batteryinfoframe.ui
    batteryinfodialog.ui
)

set(DESKTOP_FILES_IN
    lxqt-powermanagement.desktop.in
)

qt5_add_dbus_adaptor(SOURCES
    org.freedesktop.ScreenSaver.xml
    idlenesswatcher.h
    IdlenessWatcher
)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SOURCES}
        ${UI_FILES}
    INSTALL_DIR
        ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
)

lxqt_app_translation_loader(lxqt-powermanagement_QM_LOADER ${PROJECT_NAME})

# XCB stuff (TODO: move into findXCB)
find_package(PkgConfig)

pkg_check_modules(PKG_XCB xcb)
find_path(XCB_INCLUDE_DIR xcb/xcb.h
    ${PKG_XCB_INCLUDE_DIRS}
)
find_library(XCB_LIBRARY NAMES xcb
    PATHS
    ${PKG_XCB_LIBRARY_DIRS}
)

pkg_check_modules(PKG_X11_XCB x11-xcb)
find_path(X11_XCB_INCLUDE_DIR X11/Xlib-xcb.h
    ${PKG_X11_XCB_INCLUDE_DIRS}
)
find_library(X11_XCB_LIBRARY NAMES X11-xcb
    PATHS
    ${PKG_X11_XCB_LIBRARY_DIRS}
)

pkg_check_modules(PKG_XCB_SCREENSAVER xcb-screensaver)
find_path(XCB_SCREENSAVER_INCLUDE_DIR xcb/screensaver.h
    ${PKG_XCB_SCREENSAVER_INCLUDE_DIRS}
)
find_library(XCB_SCREENSAVER_LIBRARY NAMES xcb-screensaver
    PATHS
    ${PKG_XCB_SCREENSAVER_LIBRARY_DIRS}
)

pkg_check_modules(PKG_XCB_DPMS xcb-dpms)
find_path(XCB_DPMS_INCLUDE_DIR xcb/dpms.h
    ${PKG_XCB_SCREENSAVER_INCLUDE_DIRS}
)
find_library(XCB_DPMS_LIBRARY NAMES xcb-dpms
    PATHS
    ${PKG_XCB_DPMS_LIBRARY_DIRS}
)


include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${XCB_INCLUDE_DIR}
    ${X11_XCB_INCLUDE_DIR}
    ${XCB_SCREENSAVER_INCLUDE_DIR}
    ${XCB_DPMS_INCLUDE_DIR}
)

add_executable(lxqt-powermanagement
    ${SOURCES}
    ${RSCS}
    ${QM_FILES}
    ${lxqt-powermanagement_QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(lxqt-powermanagement
    lxqt
    ${QTX_LIBRARIES}
    ${XCB_LIBRARY}
    ${XCB_SCREENSAVER_LIBRARY}
    ${XCB_DPMS_LIBRARY}
    ${X11_XCB_LIBRARY}
    KF5::Solid
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

## lxqt-powermanagement 0.9.0+20150807

=== debian/changelog ===
lxqt-powermanagement (0.9.0+20150807-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release. (Closes: #747611)
  * rebuild only.
  * Upstream version 0.8.0.
  * Min liblxqt-qt5-0-dev version 0.8.0.
  * Min Qt version 5.3.2.
  * bump standards to 3.9.6.
  * lintian overrides for missed manpages and invalid category.
  * patched desktop file, OnlyShowIn=LXQt.
  * new release 0.9.0 drop patches fix debian $foo add source/options.
  * Some cleanup in debian $foo.
  * some changes in debian $foo.
  * drop transitional packages.

  [ Andrew Lee (李健秋) ]
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.
  * Added fullstop in descriptions.
  * Use lower-case for description.
  * Use correct license LGPL2.1+ in copyright file.
  * Warpped lines.
  * Merging upstream version 0.9.0+20150807.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 16 Aug 2015 19:19:12 +0800

=== debian/control ===
Source: lxqt-powermanagement
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libkf5solid-dev (>= 5.9),
 libkf5windowsystem-dev (>= 5.9),
 liblxqt0-dev (>= 0.9.0),
 libx11-dev,
 libx11-xcb-dev,
 libxcb-dpms0-dev,
 libxcb-screensaver0-dev,
 libqt5svg5-dev (>= 5.3),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 pkg-config,
 qtbase5-private-dev (>= 5.3),
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/lxqt-powermanagement
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-powermanagement.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git

Package: lxqt-powermanagement
Architecture: any
Breaks: lxqt-powermanagement-qt5 (<< 0.9.0)
Replaces: lxqt-powermanagement-qt5 (<< 0.9.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: lxqt-powermanagement-qt5-dbg (<< 0.9.0)
Replaces: lxqt-powermanagement-qt5-dbg (<< 0.9.0)
Depends:
 ${misc:Depends},
 lxqt-powermanagement (= ${binary:Version}),
Description: power management module for LXQt (debug symbols)
 The Power management module for LXQt.
 .
 This package contain debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-powermanagement

override_dh_strip:
	dh_strip --dbg-package=lxqt-powermanagement-dbg

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-powermanagement/releases .*/([\d\.]+).tar.gz

## lxqt-powermanagement 0.10.0

=== debian/changelog ===
lxqt-powermanagement (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 20:50:04 +0100

lxqt-powermanagement (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set minimum version for liblxqt and libqtxdg.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 19 Nov 2015 21:55:09 +0800

lxqt-powermanagement (0.9.0+20150807-2) unstable; urgency=medium

  * Fixed czchen's email address
  * Removed breaks/replaces
  * Fixed control with cme fix
  * Added linker flags -Wl,--as-needed
  * Removed not needed minimum versions
  * Cleaned up .gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 02:26:31 +0100

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-screensaver0-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-powermanagement.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-powermanagement/releases .*/([\d\.]+).tar.gz

## lxqt-powermanagement 0.11.0

=== debian/changelog ===
lxqt-powermanagement (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped compat to 10  
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper to />= 10)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libkf5idletime-dev
  * Added build dependency libqt5svg5-dev
  * Added Recommends lxqt-powermanagement-l10n
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Removed build dependency libx11-xcb-dev
  * Removed build dependency libxcb-dpms0-dev
  * Removed build dependency libxcb-screensaver0-dev
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 17:25:42 +0200

lxqt-powermanagement (0.10.0-4) unstable; urgency=medium

  * Added Recommends: upower (Closes: #828697)
    Thanks to Martin Küttler <martin.kuettler@os.inf.tu-dresden.de>
  * Bump Standards to 3.9.8, no changes needed
  * Bump years in copyright
  * Changed VCS-fields to use https
  * Fixed copyright Format field
  * Add hardening=+all to debian/rules

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 11:05:07 +0200

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-powermanagement.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-powermanagement-l10n,
            upower
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

## lxqt-powermanagement 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-powermanagement)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5X11Extras REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

find_package(KF5Solid REQUIRED)

find_package(lxqt REQUIRED)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)

=== debian/changelog ===
lxqt-powermanagement (0.11.1-2) unstable; urgency=medium

  * Bumped standards to 4.0.0 - no changes needed
  * Depends on lxqt-policykit
  * Make upower a dependency instead of recommend it
  * Recommend lxqt-qtplugin and lxqt-session
    (Closes: #866256)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 02:19:42 +0200

lxqt-powermanagement (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 15:51:47 +0100

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev,
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-powermanagement.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-policykit,
         upower
Recommends: lxqt-powermanagement-l10n,
            lxqt-qtplugin,
            lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

## lxqt-powermanagement 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,25 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 find_package(Qt5DBus REQUIRED)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5X11Extras REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(KF5Solid REQUIRED)
 
 find_package(lxqt REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
+
+set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
+add_definitions("-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\"")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
@@ -29,3 +39,6 @@
 
 add_subdirectory(config)
 add_subdirectory(src)
+
+# merged from lxqt-common
+add_subdirectory(autostart)

=== autostart/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_powermanagement_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== config/CMakeLists.txt ===
project(lxqt-config-powermanagement)

set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg)

set(SOURCES
    main.cpp
    mainwindow.cpp
    lidwatchersettings.cpp
    batterywatchersettings.cpp
    idlenesswatchersettings.cpp
    powermanagementsettings.cpp
    helpers.cpp
    ../src/iconproducer.cpp
)

set(UI_FILES
    lidwatchersettings.ui
    batterywatchersettings.ui
    idlenesswatchersettings.ui
)

set(ICON_FILES
    icons/laptop-lid.svg
)

set(DESKTOP_FILES_IN
    lxqt-config-powermanagement.desktop.in
)

# Translations **********************************

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SOURCES}
        ${UI_FILES}
    INSTALL_DIR
        ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "lxqt-powermanagement/${PROJECT_NAME}"
)

lxqt_app_translation_loader(config-powermanagement_QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES ${DESKTOP_FILES_IN})

add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${DESKTOP_FILES}
    ${QM_FILES}
    ${config-powermanagement_QM_LOADER}
)

target_link_libraries(lxqt-config-powermanagement
    lxqt
    ${QTX_LIBRARIES}
    KF5::Solid
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)
install(FILES
    ${ICON_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/devices"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
project(lxqt-powermanagement)

set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg Qt5::X11Extras)

set(SOURCES
    watcher.cpp
    batteryhelper.cpp
    batteryinfoframe.cpp
    batteryinfodialog.cpp
    batterywatcher.cpp
    idlenesswatcher.cpp
    lid.cpp
    lidwatcher.cpp
    main.cpp
    powermanagementd.cpp
    trayicon.cpp
    iconproducer.cpp
    ../config/powermanagementsettings.cpp
)

set(UI_FILES
    batteryinfoframe.ui
    batteryinfodialog.ui
)

set(DESKTOP_FILES_IN
    lxqt-powermanagement.desktop.in
)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SOURCES}
        ${UI_FILES}
    INSTALL_DIR
        ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "lxqt-powermanagement/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-powermanagement_QM_LOADER ${PROJECT_NAME})

find_package(KF5IdleTime REQUIRED)

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

add_executable(lxqt-powermanagement
    ${SOURCES}
    ${RSCS}
    ${QM_FILES}
    ${lxqt-powermanagement_QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(lxqt-powermanagement
    lxqt
    ${QTX_LIBRARIES}
    KF5::Solid
    KF5::IdleTime
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-powermanagement (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 22:01:39 +0100

lxqt-powermanagement (0.12.0-3) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 00:06:38 +0100

lxqt-powermanagement (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879911) - Thanks Andreas Beckmann <anbe@debian.org> 

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 22:10:31 +0200

lxqt-powermanagement (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped Standards to 4.1.1 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 19:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-powermanagement.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-powermanagement.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-powermanagement.git
 Homepage: https://github.com/lxde/lxqt-powermanagement
 
 Package: lxqt-powermanagement
@@ -28,6 +28,8 @@
 Recommends: lxqt-powermanagement-l10n,
             lxqt-qtplugin,
             lxqt-session
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Description: power management module for LXQt
  The Power management module for LXQt.
  .

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-powermanagement/releases .*/lxqt-powermanagement-([\d\.]+).tar.xz

## lxqt-powermanagement 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,12 @@
 set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
 
 set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
-add_definitions("-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\"")
+add_definitions(
+    "-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Translations **********************************

=== debian/changelog ===
lxqt-powermanagement (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:35:11 -0700

lxqt-powermanagement (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 22:46:32 +0200

lxqt-powermanagement (0.12.0-5) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:54:07 +0200

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-policykit,
         upower
Recommends: lxqt-powermanagement-l10n,
            lxqt-qtplugin,
            lxqt-session
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

## lxqt-powermanagement 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-powermanagement)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(KF5_MINIMUM_VERSION "5.36.0")
set(LXQT_MINIMUM_VERSION "0.14.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5IdleTime ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

# Patch Version
set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)

set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
add_definitions(
    "-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\""
    "-DQT_NO_CAST_FROM_ASCII"
    "-DQT_NO_CAST_TO_ASCII"
    "-DQT_NO_URL_CAST_FROM_STRING"
    "-DQT_NO_CAST_FROM_BYTEARRAY"
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)
add_subdirectory(autostart)

=== debian/changelog ===
lxqt-powermanagement (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 18:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: lxqt-powermanagement
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
 Homepage: https://github.com/lxqt/lxqt-powermanagement
@@ -35,3 +34,14 @@
  The Power management module for LXQt.
  .
  This package contain power management module for LXQt.
+
+Package: lxqt-powermanagement-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-powermanagement (<< 0.11.0)
+Replaces: lxqt-powermanagement (<< 0.11.0)
+Description: Language package for lxqt-powermanagement
+ This package contains the l10n files needed by the lxqt-powermangement.

## lxqt-powermanagement 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -30,7 +30,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
+set(LXQT_POWERMANAGEMENT_PATCH_VERSION 1)
 
 set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
 add_definitions(

=== autostart/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
 file(GLOB DESKTOP_FILES_IN *.desktop.in)
 
 # Translations **********************************

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -36,16 +36,6 @@
         ${UI_FILES}
     INSTALL_DIR
         ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-powermanagement/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(config-powermanagement_QM_LOADER ${PROJECT_NAME})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,21 +34,9 @@
         ${UI_FILES}
     INSTALL_DIR
         ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-powermanagement/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(lxqt-powermanagement_QM_LOADER ${PROJECT_NAME})
-
-find_package(KF5IdleTime REQUIRED)
 
 include_directories(
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}

=== debian/changelog ===
lxqt-powermanagement (0.14.1-1ubuntu2) focal; urgency=medium

  * Updated rules to be consistent with debian unstable.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:11:05 +0530

lxqt-powermanagement (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Using debhelper-compat
    - Keeping ubuntu-side tweaks of writing depends in one line.
    - Updated build deps according to new minimum requirements.
    - Added upstream metadata

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 12 Feb 2020 11:13:49 +0530

lxqt-powermanagement (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 02:47:54 +0100

lxqt-powermanagement (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:15:31 -0600

lxqt-powermanagement (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-powermanagement-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:39:28 -0600

lxqt-powermanagement (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:47:42 -0500

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: lxqt-policykit, upower, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-powermanagement-l10n, lxqt-qtplugin, lxqt-session
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-powermanagement (<< 0.11.0)
Replaces: lxqt-powermanagement (<< 0.11.0)
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by lxqt-powermangement.

## lxqt-powermanagement 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -30,15 +30,11 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POWERMANAGEMENT_PATCH_VERSION 1)
+set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
 
 set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
 add_definitions(
     "-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\""
-    "-DQT_NO_CAST_FROM_ASCII"
-    "-DQT_NO_CAST_TO_ASCII"
-    "-DQT_NO_URL_CAST_FROM_STRING"
-    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)

=== debian/changelog ===
lxqt-powermanagement (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Bump Standards-version to 4.5.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:34:24 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement

## lxqt-powermanagement 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -27,6 +27,8 @@
 find_package(KF5IdleTime ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(KF5Solid ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
+
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     batterywatchersettings.cpp
     idlenesswatchersettings.cpp
     powermanagementsettings.cpp
+    powerkeyssettings.cpp
     helpers.cpp
     ../src/iconproducer.cpp
 )
@@ -17,6 +18,7 @@
     lidwatchersettings.ui
     batterywatchersettings.ui
     idlenesswatchersettings.ui
+    powerkeyssettings.ui
 )
 
 set(ICON_FILES

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     powermanagementd.cpp
     trayicon.cpp
     iconproducer.cpp
+    powerbutton.cpp
     ../config/powermanagementsettings.cpp
 )
 
@@ -55,6 +56,7 @@
     ${QTX_LIBRARIES}
     KF5::Solid
     KF5::IdleTime
+    lxqt-globalkeys
 )
 
 install(TARGETS

=== debian/changelog ===
lxqt-powermanagement (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version. Merge from debian unstable.
  * Bump debhelper-compat requirement to 13.
  * Update dependencies.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 02:55:40 +0530

lxqt-powermanagement (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.
  * debian/control: update build-deps.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 17:58:35 +0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
+               liblxqt-globalkeys0-dev (>= 0.16.0~),
+               liblxqt-globalkeys-ui0-dev (>= 0.16.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,

## lxqt-powermanagement 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,13 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(KF5IdleTime ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(KF5Solid ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
@@ -32,7 +31,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
+set(LXQT_POWERMANAGEMENT_PATCH_VERSION 1)
 
 set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-powermanagement (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Use libglobalkeys0-dev 0.17.0
    - Use libglobalkeys-ui0-dev 0.17.0
    - Extend lxqt-powermanagement-l10n package description
  * Rename tag for lintian override
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Fri, 13 Aug 2021 15:31:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
-               liblxqt-globalkeys0-dev (>= 0.16.0~),
-               liblxqt-globalkeys-ui0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
+               liblxqt-globalkeys0-dev (>= 0.17.0),
+               liblxqt-globalkeys-ui0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-policykit/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-policykit.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
@@ -43,4 +43,6 @@
 Breaks: lxqt-powermanagement (<< 0.11.0)
 Replaces: lxqt-powermanagement (<< 0.11.0)
 Description: Language package for lxqt-powermanagement
- This package contains the l10n files needed by lxqt-powermangement.
+ The l10n files for lxqt-powermanagement
+ .
+ This package contains the l10n files needed by lxqt-powermanagement.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-powermanagement/releases .*/lxqt-powermanagement-([\d\.]+).tar.xz

## lxqt-powermanagement 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -31,7 +31,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_POWERMANAGEMENT_PATCH_VERSION 1)
+set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)
 
 set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-powermanagement (1.1.0-3) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 20 Nov 2022 19:19:07 +0800

lxqt-powermanagement (1.1.0-2) experimental; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 20 Nov 2022 18:34:30 +0800

lxqt-powermanagement (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys-ui1-dev (>= 1.1.0~).
  * Drop obsleted Breaks and Replaces lines.
  * debian/copyright: update years.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 15 Jul 2022 23:15:01 +0800

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0~),
               liblxqt-globalkeys1-dev (>= 1.1.0~),
               liblxqt-globalkeys-ui1-dev (>= 1.1.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-policykit,
         upower
Recommends: lxqt-powermanagement-l10n,
            lxqt-qtplugin,
            lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

## lxqt-powermanagement 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 )
 
 lxqt_app_translation_loader(config-powermanagement_QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES ${DESKTOP_FILES_IN})
+lxqt_translate_desktop(DESKTOP_FILES SOURCES ${DESKTOP_FILES_IN} USE_YAML)
 
 add_executable(${PROJECT_NAME}
     ${SOURCES}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(lxqt-powermanagement)
 
-set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg Qt5::X11Extras)
+set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg)
 
 set(SOURCES
     watcher.cpp

=== debian/changelog ===
lxqt-powermanagement (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules.
    * Remove unnecessary --fail-missing in d/rules.
    * Add Rules-Requires-Root: no.
  * Update d/watch for GitHub.
  * Fix d/lintian-overrides.
  * Fix d/upstream/metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 01:32:56 +0800

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5idletime-dev,
                libkf5solid-dev,
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0~),
-               liblxqt-globalkeys1-dev (>= 1.1.0~),
-               liblxqt-globalkeys-ui1-dev (>= 1.1.0~),
+               liblxqt1-dev (>= 1.2.0~),
+               liblxqt-globalkeys1-dev (>= 1.2.0~),
+               liblxqt-globalkeys-ui1-dev (>= 1.2.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
 Homepage: https://github.com/lxqt/lxqt-powermanagement
+Rules-Requires-Root: no
 
 Package: lxqt-powermanagement
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
